// JavaScript Document
$(document).ready( function() {
	//Set Events
	
	$('#menu li').hover(setActive,setNotActive);					   
	$('#menu li').click(changePage);
	$('.cure .button').live('click', listTabs);
	$('#cureNet_menu a').live('click', cureNetTabs);
	$('a.cureBack').live('click', cureBack);
	$('#office_tabs a').live('click', officeTabs);
	$('a.compl').live('click', function() { $.proxy( changePage, $('li.complects'))();  $.proxy( setActive, $('li.complects'))(); return false;});
	$('a.enterprise_suit').live('click', function() { $.proxy( changePage, $('li.enterprise'))();$.proxy( setActive, $('li.enterprise'))();  return false;});
	$('a.desktop_suit').live('click', function() { $.proxy( changePage, $('li.desktop'))();$.proxy( setActive, $('li.desktop'))(); return false;});
	
	var speed = ($.browser.msie)? 300 : 5000;
	setTimeout(function() { $('#spider').fadeIn(speed); }, 300 );
	
	var get_date = new Date ();
	 $('#set_year').html( get_date.getFullYear() );
	}
);

function setActive() {
	var currentBG = $(this).css('background-image');
	var activeBG;
	if(currentBG.indexOf('active')==-1) {
	activeBG = currentBG.replace('menu_','menu_active_');
	$(this).css('background-image', activeBG);
	}
}

function setNotActive() {
	if(!$(this).hasClass('current')||$(this).hasClass('download')) {
		var currentBG = $(this).css('background-image');
		var notActiveBG;
		notActiveBG = currentBG.replace('menu_active_','menu_');	
		$(this).css('background-image', notActiveBG);
	}
}

function changePage() {

	if($(this).hasClass('cure')) {
		$('.cure_block').hide();
		$('.cure_block.first').show();
	}
	if($(this).hasClass('doc')) { document.location = "http://download.drweb-av.de/doc/"; return false; }
	if($(this).hasClass('download')) { document.location = "http://download.drweb-av.de/"; return false;}
	if($(this).hasClass('livedemo')) { document.location = "http://download.drweb-av.de/live_demo/about/"; return false;}
	if($(this).hasClass('freedemo')) { document.location = "http://download.drweb-av.de/demoreq/biz/"; return false;}
	if($(this).hasClass('registration')) { document.location = "http://products.drweb-av.de/register/"; return false;}
	
	if(!$(this).hasClass('current')) {
		var pageName = $(this).attr('class');
		$('.page').hide();
		$('div.'+pageName).fadeIn('fast');
		var cur = $('#menu .current');
		cur.removeClass('current');
		$.proxy(setNotActive, cur)();
		
		//$('#menu li').removeClass('current');
		$(this).addClass('current');
		if(pageName=="download") {
			$('#main').css('background-image', "url('images/z-disk.png')");
		}
		else {
			$('#main').css('background-image', "url('images/logo_bg.png')");
		}
		if(pageName == 'download') { document.location = "http://download.drweb-av.de/"; return false; /*$('#header').hide(); $('#spider').show();*/ } else { $('#header').show(); $('#spider').hide();}
	}
}

function listTabs() {
	var button = $(this);
	if(!(button.hasClass('download')||button.hasClass('demo'))){
		var tabs = $('.cure .cure_block');
		tabs.hide();
		if(button.hasClass('a_cureIt')) { tabs.filter('.cureIt_about').fadeIn('fast'); }
		if(button.hasClass('a_cureNet')) { tabs.filter('.cureNet_about').fadeIn('fast'); }
		return false;
	}
	else {return true;}
}

function cureNetTabs() {
	var button = $(this);
	if(button.hasClass('current')) { return false;}
	if(!button.hasClass('demo')) {
		var tabs = $('.cure .net_block');
		tabs.hide();
		var currentClass = button.attr('class');
		tabs.filter('.'+currentClass).fadeIn('fast'); 
		$('#cureNet_menu a').removeClass('current');
		button.addClass('current')
		return false;
	}
	else { return true; }
}

function cureBack() {
	$('.cure_block').hide();
	$('.cure_block.first').fadeIn('fast');
	return false
}

function officeTabs() {
	var button = $(this);
	if(button.hasClass('current')) { return false;}
	if(!button.hasClass('testing')) {
		var tabs = $('.office .tab');
		tabs.hide();
		var currentClass = button.attr('class');
		tabs.filter('.'+currentClass).fadeIn('fast');
		$('#office_tabs a').removeClass('current');
		button.addClass('current');
		return false;
	}
	else { return true; }
}
